import {service} from "@/utils/request";
const api = `/mosty-yjzl`

// 获取巡逻列表
export function fetchPatrolList(params) {
    return service({
        url: `${api}/tbZdxlFgxlrw/selectRwPage`,
        params
    })
}
// 获取任务中心列表
export function fetchTaskList(params) {
    return service({
        url: `${api}/tbZdyrw/selectListApp`,
        params
    })
}
// 获取巡逻详情
export function selectByTaskInfo(params) {
    return service({
        url: `${api}/tbZdyrw/getFgrwDkXq`,
        params
    })
}
// 获取巡逻详情
export function selectByBBdId(params) {
    return service({
        url: `${api}/tbZdxlFgxlrw/selectByBBdId`,
        params
    })
}

export function fetchSelectListByBddxlrwId(params) {
    return service({
        url: `${api}/tbZdxlFgdwBddxlrwJl/selectListByBddxlrwId`,
        params
    })
}


// 打卡
export function fetchTbZdxlFgdwBddxlrwJlClockIn(data) {
    return service({
        url: `${api}/tbZdxlFgdwBddxlrwJl/clockIn`,
        method: 'POST',
        data
    })
}

// 必到点巡逻任务详情
export function fetchSelectByBddxlrwId(bddxlrwId) {
    return service({
        url: `${api}/tbZdxlFgdwBdd/selectByBddxlrwId/${bddxlrwId}`,
    })
}
